#ifndef TASK_MANAGER_H
#define TASK_MANAGER_H

#include <vector>

#include <cstdio>

class Task;

using std::vector;

class TaskManager
{
public:
    TaskManager();
    ~TaskManager();

    void make_graph(FILE *fp_task, FILE *fp_dependency, FILE *fp_processor, FILE *fp_schedule);
    void print_output(FILE *fp_output);

private:
    void __configure();
    int __get_processor_id(int type, int id) const;
    void __check_delay();

    FILE *fp_task;
    FILE *fp_dependency;
    FILE *fp_processor;
    FILE *fp_schedule;

    int task_num;
    vector<Task> tasks;

    int processor_num;
    int processor_type;
    vector<int> processor_;
    int *processor;

    int **adjacency_table;

    vector<int> assign_table;

    vector<int> delayed_task;
};

#endif
