set terminal postscript  enhanced  lw 2
set output "65.ps"
set key left
set key box
set key spacing 1.5
set key width 5
set key height 1.0
set key font ",25"
set xtic font ',23'
set ytic font ',30'
set size 1,1
set title "Cumulative Probability Distribution" font 'Times,40,Bold' offset 0,0.3
set xlabel "Response Time" font 'Times,37,Bold' offset 0,-1
set ylabel "Performance Yield" font 'Times,37,Bold' offset -3,0
set lmargin at screen 0.1
set tmargin 1.3
set bmargin 3.0
set xrange [150:190]
set yrange [0.0:1.0]
set xtic 5
set ytic 0.1                      

plot "../65-b1.txt" index 0 using 1:2 title 'BULB 1' with linespoints linewidth 5 lc  rgb "red", \
     "../65-b1.txt" index 1  using 1:2 title '' with lines lt 3 linewidth 5 lc  rgb "red", \
     "../65-b3.txt" index 0 using 1:2 title 'BULB 2' with linespoints linewidth 5 lc  rgb "green", \
     "../65-b3.txt" index 1  using 1:2 title '' with lines lt 3 linewidth 5 lc  rgb "green", \
     "../65-l1.txt" index 0 using 1:2 title 'List 1' with linespoints linewidth 5 lc  rgb "black", \
     "../65-l1.txt" index 1  using 1:2 title '' with lines lt 3 linewidth 5 lc  rgb "black", \
     "../65-l2.txt" index 0 using 1:2 title 'List 2' with linespoints linewidth 5 lc  rgb "#D4A017", \
     "../65-l2.txt" index 1  using 1:2 title '' with lines lt 3 linewidth 5 lc  rgb "#D4A017"
