set terminal postscript  enhanced  lw 2
set output "b2.ps"
set key left
set key box
set key spacing 1.5
set key width 3
set key font ",20"
set xtic font ',23'
set ytic font ',30'
set size 1,1
set title "Cumulative Probability Distribution" font 'Times,40,Bold' offset 0,0.3
set xlabel "Response Time" font 'Times,37,Bold' offset 0,-1
set ylabel "Performance Yield" font 'Times,37,Bold' offset -3,0
set lmargin at screen 0.1
set tmargin 1.3
set bmargin 3.0
set xrange [150:190]
set yrange [0.0:1.0]
set xtic 5
set ytic 0.1                      

plot "../50-b3.txt" index 0 using 1:2 title 'Power 50' with linespoints linewidth 2.5 lc  rgb "red", \
     "../50-b3.txt" index 1  using 1:2 title '' with lines lt 3 linewidth 2.0 lc  rgb "red", \
     "../55-b3.txt" index 0 using 1:2 title 'Power 55' with linespoints linewidth 2.5 lc  rgb "green", \
     "../55-b3.txt" index 1  using 1:2 title '' with lines lt 3 linewidth 2.0 lc  rgb "green", \
     "../60-b3.txt" index 0 using 1:2 title 'Power 60' with linespoints linewidth 2.5 lc  rgb "black", \
     "../60-b3.txt" index 1  using 1:2 title '' with lines lt 3 linewidth 2.0 lc  rgb "black", \
     "../65-b3.txt" index 0 using 1:2 title 'Power 65' with linespoints linewidth 2.5 lc  rgb "#D4A017", \
     "../65-b3.txt" index 1  using 1:2 title '' with lines lt 3 linewidth 2.0 lc  rgb "#D4A017"
